apiVersion: apps/v1
kind: Deployment
metadata:
    name: ddns-update
    namespace: my-stuff
    labels:
        app: ddns-update
spec:
    replicas: ENC[AES256_GCM,data:lA==,iv:HicJEgj9Y6L40VhWB1D12HEqbamM55TQrlQt4cj04JI=,tag:3hsbPOG8Owne0CIdI6X5cg==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:ybAyXVASatNKRU4=,iv:RHn2zkGkhdnpp0CXXhJWRZ/Edf5bb3SGwbK5JitVyUQ=,tag:kFziZm0yxjP3TTbh4phobw==,type:str]
    template:
        metadata:
            labels:
                app: ddns-update
        spec:
            containers:
                - name: ENC[AES256_GCM,data:bZs14gGgas7MdAk=,iv:3pWo4I5xjltlQNML/FBH0qGZAIGe5+/Z0w3dYGISIQA=,tag:FZgYlyRk+CSxW4Yv9YfPYQ==,type:str]
                  image: ENC[AES256_GCM,data:rZIpQcOXeOag9AT8t2zA0YHRdPbmazoiosjvvBe2Y/BdQnQ+V5p6hznj7w==,iv:t2fOl6bnACLY6V+hx6OdJzRRPAfqwpSPXJ/8AB7J4HI=,tag:7ZYXhEMXlzKEHwcAkqSmew==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:3Hx6H4CyKUaM4So3,iv:EaVa0lajqrqWkW8BCogmAJk/nXHjfQ/s5J9R9WUwafg=,tag:aGoFVLA8ynBKzf6pkKuYQg==,type:str]
                  resources: {}
                  envFrom:
                    - secretRef:
                        name: ENC[AES256_GCM,data:P4mZs5TPT2UI14OT8Upusw==,iv:0UiB1sRt2YUEgE7ceNYDl6XW3FhjAfwTrViXy+zXJls=,tag:Mvhe99d5Q6XnRcFm8NY85g==,type:str]
                    - secretRef:
                        name: ENC[AES256_GCM,data:AarLfs6nZL8a/v8erUY=,iv:fvfBZibHyMtLPnVpIZmaUrXFLtgLsv2UDDEI2B//V24=,tag:9AZq9/5MDAivhltiUKybGA==,type:str]
            restartPolicy: ENC[AES256_GCM,data:u0FVH4JB,iv:VeQDpKLcipAsnwkmj4oAQFZCJin+73JUyA66zz2L9Bk=,tag:yxbzCUStOkqNU78U362QFw==,type:str]
            imagePullSecrets:
                - name: ENC[AES256_GCM,data:N1tRndHjvmqr7Qg=,iv:RIA/TMuqgTv8r7cjZhLLK1giw6FLX7w7J3ai0dfsT4E=,tag:2KZLJKiiX0o4guUHvAOnug==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBJcU1mamRjYUhQMUVsNEFG
            NnRGL2xuUVJMYi9FVVBHa1lBSFdwYmpCbFg0CjJXcmhvVFdLUmp5emI1eWdzblhG
            Ky85aEo1cmtWNWpyOVNVMDQxQ1hlZ0kKLS0tIGNESncyL2FicWJWbUYySitYTXhS
            YmxKRTVDeFhDWm9qSGdKdThZZ3ZkbEUKC7/4fZD7iP2HL0NXN6Va41zOhvA2loNB
            0lgqrL0ukBtGASp+cXWCRG6PaGDKnFxIXZLJtOT+Ge0HM/hwsJ9HqQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:58Z"
    mac: ENC[AES256_GCM,data:dc81wWpICjYT2A1MLKlY+K+Rq7oGIHeTkPS2gQrS8D3iiOF+QXwKn+Fw9WWv01aI+uLTm4Tv2ZF4G9HMLglQuqHfZsdZTDLdi2VTg6i4t3svdKmLHZ2nhTviiCNDoms3dSMi5EIWIgiTo3vPvqoLkrO47wBY5mnkH0HsnaBPTTs=,iv:JzgQuN02JxSD6ckiQiQbu21Tpf4K3ctDrRq8Z7ufvYk=,tag:eZJqI6KeA6hTjYL6p4yC6Q==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
